Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.configuration
Class GlobalConfigurationRegistry

    java.lang.Object
      kieker.analysis.configuration.GlobalConfigurationRegistry

    public final class GlobalConfigurationRegistry

extends Object

This is a global accesible singleton class to update the configuration of registered filters during runtime.

Since:
  1.10
Author:
  Markus Fischer, Nils Christian Ehmke

Method Summary
`static GlobalConfigurationRegistry` | `getInstance()`
`int` | `registerUpdateableFilterPlugin(AbstractUpdateableFilterPlugin plugin)` Registers an AbstractUpdateableFilterPlugin to the registry.
`void` | `updateConfiguration(int id, Configuration configuration, boolean update)` Updates the configuration of a FilterPlugin identified by its id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GlobalConfigurationRegistry getInstance()

### registerUpdateableFilterPlugin

    public int registerUpdateableFilterPlugin(AbstractUpdateableFilterPlugin plugin)

  Registers an AbstractUpdateableFilterPlugin to the registry.

  Parameters:
    `plugin` - plugin to be registered

### updateConfiguration

    public void updateConfiguration(int id,
                                    Configuration configuration,
                                    boolean update)
                             throws PluginNotFoundException

  Updates the configuration of a FilterPlugin identified by its id.

  Parameters:
    `id` - id of the plugin to be updated
    `configuration` - Configuration containing the new values
    `update` - If false, set all properties, else overwrite only properties that are marked as updateable
  Throws:
    `PluginNotFoundException` - plugin was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net